Bug 523928 - Eclipse rawhide: plugins are not loading
Eclipse rawhide: plugins are not loading
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-17 04:56 EDT by Chitlesh GOORAH
Modified: 2009-09-27 16:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-27 16:25:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
only subclipse installed (1.09 KB, application/octet-stream)
2009-09-24 17:41 EDT, Chitlesh GOORAH
no flags Details

  None (edit)
Description Chitlesh GOORAH 2009-09-17 04:56:42 EDT
Description of problem:
On rawhide with yum install eclipse*, it seems that upon launch,
eclipse is not loading any eclipse plugin. Maybe because eclipse 3.5,
should we rebuild all the plugins ?

http://alt.fedoraproject.org/pub/alt/nightly-composes/electronic-lab/logs/20090916.16-i386.log

LIVEDVD: http://alt.fedoraproject.org/pub/alt/nightly-composes/electronic-lab/

Version-Release number of selected component (if applicable):
eclipse-cdt-6.0.0-9.fc12.i686.rpm
eclipse-cdt-sdk-6.0.0-9.fc12.i686.rpm
eclipse-eclox-0.8.0-3.20090616svn.fc12.noarch.rpm
eclipse-egit-0.5.0-2.fc12.noarch.rpm
eclipse-emf-2.5.0-3.fc12.noarch.rpm
eclipse-epic-0.6.35-2.fc12.noarch.rpm
eclipse-platform-3.5.0-0.12.fc12.i686.rpm
eclipse-rcp-3.5.0-0.12.fc12.i686.rpm
eclipse-rse-3.1-2.fc12.noarch.rpm
eclipse-subclipse-1.6.5-1.fc12.noarch.rpm
eclipse-svnkit-1.3.0-1.fc12.noarch.rpm
eclipse-swt-3.5.0-0.12.fc12.i686.rpm
eclipse-texlipse-1.3.0-2.20090829cvs.fc12.noarch.rpm
eclipse-veditor-0.6.3-4.fc12.noarch.rpm
icu4j-eclipse-4.0.1-3.fc12.i686.rpm
tomcat5-jasper-eclipse-5.5.27-7.4.fc12.noarch.rpm


How reproducible:
Everytime

Steps to Reproduce:
1. launch eclipse
2. Goto Preference
3.
  
Actual results:
Can't find any addition eclipse plugins

Expected results:
Should find additional plugins mentioned above

Additional info:
Comment 1 Andrew Overholt 2009-09-17 07:37:13 EDT
I'm willing to bet one of the following packages is actually broken from an Eclipse standpoint and therefore blocks others in /usr/{lib,share}/eclipse/dropins from being initialized.

eclipse-eclox-0.8.0-3.20090616svn.fc12.noarch.rpm
eclipse-egit-0.5.0-2.fc12.noarch.rpm
eclipse-epic-0.6.35-2.fc12.noarch.rpm
eclipse-texlipse-1.3.0-2.20090829cvs.fc12.noarch.rpm
eclipse-veditor-0.6.3-4.fc12.noarch.rpm
 
Could you try removing them and re-adding one by one to see if this is indeed the problem?  You should have SVN and CDT functionality when the above are removed.  If not, it's something else that's wrong.  Could you verify that there's a line referencing /usr/share/eclipse/dropins in /usr/lib/eclipse/eclipse.ini?

P.S. eclipse-cdt-sdk is probably a useless package for you as it's just the CDT sources.
Comment 2 Chitlesh GOORAH 2009-09-17 16:57:54 EDT
I'll look at it during the weekend
Comment 3 Chitlesh GOORAH 2009-09-18 19:01:09 EDT
I've removed eclipse* on a rawhide box. Then yum install eclipse-subclipse. The SVN functionality is _not_ there.
Comment 4 Andrew Overholt 2009-09-21 08:48:44 EDT
Can you attached your workspace's .metadata/.log file, please?
Comment 5 Chitlesh GOORAH 2009-09-21 09:10:52 EDT
Actually when running eclipse from the livedvd, the .metadata/.log file is the one created automatically.

When I'm back at home, I'll upload it.
Comment 6 Andrew Overholt 2009-09-21 09:19:35 EDT
(In reply to comment #5)
> Actually when running eclipse from the livedvd, the .metadata/.log file is the
> one created automatically.

What do you mean?  The .log file should always be in your workspace's .metadata directory.  So if you are using ~/workspace it should be ~/workspace/.metadata/.log.  If you are passing the -data flag to specify an alternative workspace, it should be that directory's .metadata/.log file.
 
> When I'm back at home, I'll upload it.  

Thanks.
Comment 7 Chitlesh GOORAH 2009-09-21 09:33:53 EDT
On a LiveDVD, (eclipse is on FEL Livedvd), there is no workspace until one launches eclipse.

Procedure:
1 Download FEL rawhide nightly livedvd
http://alt.fedoraproject.org/pub/alt/nightly-composes/electronic-lab/

2 burn the iso and boot the livedvd.

3 launch eclipse

4 the workspace's .metadata/.log is created for the first time.

5 go to preferences, to see if any plugin has being loaded or not.
Comment 8 Andrew Overholt 2009-09-21 09:37:17 EDT
(In reply to comment #7)
> On a LiveDVD, (eclipse is on FEL Livedvd), there is no workspace until one
> launches eclipse.

Okay, this is expected.  I think we just had a communication issue there :)
Comment 9 Andrew Overholt 2009-09-23 15:30:27 EDT
Any word on getting me a copy of the .log from your clean install of eclipse-subclipse?  It would be good if you could also list the other Eclipse packages you have installed.  Oh, and I assume you're using OpenJDK, right?
Comment 10 Andrew Overholt 2009-09-23 15:45:08 EDT
I think we're just missing a Requires on jakarta-commons-codec somewhere.  Can you install that and see if it fixes it for you?
Comment 11 Chitlesh GOORAH 2009-09-24 17:41:05 EDT
Created attachment 362573 [details]
only subclipse installed
Comment 12 Chitlesh GOORAH 2009-09-24 17:43:14 EDT
Above you will find the .log file with only eclipse-subclipse installed.

As per your suggestion to install jakarta-commons-codec and from the contents .log file, i've installed jakarta-commons-code.

My plugins are all loading just fine.

You are infact missing a Requires on jakarta-commons-codec on eclipse-platform ?
Comment 13 Andrew Overholt 2009-09-25 08:30:29 EDT
We were indeed missing a Requires.  Please try this build:

http://koji.fedoraproject.org/koji/buildinfo?buildID=133354
Comment 14 Chitlesh GOORAH 2009-09-27 16:25:13 EDT
Thanks it fixes the bug. I'm closing the bug report.

Note You need to log in before you can comment on or make changes to this bug.